@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

.nav {
  min-height: 60px;

  @include media-breakpoint-up(sm) {
    min-height: 70px;
  }

  &__logo {
    position: relative;
    top: 3px;
    font-family: var(--font-text);
    font-size: 23px;
    font-weight: 700;
    line-height: 26px;
    color: $white-color;
    text-decoration: none;
    //letter-spacing: -1px;

    &:hover {
      opacity: 0.8;
    }

    ::ng-deep svg {
      width: 100px;
      fill: $gray-dark-color;

      //.nav--sticky & {
      //  fill: $yellow;
      //}
    }
  }

  &__content {
    position: relative;
    margin-bottom: 20px;
    transition: all 0.2s ease-in;

    @include media-breakpoint-up(sm) {
      margin-top: 0;
    }

    .nav--sticky & {
      position: fixed;
      right: 0;
      left: 0;
      z-index: 20;
      //width: 100%;
      //background: var(--black-color);
    }

    .nav--inverse & {
      background: var(--white-color);
      box-shadow: 0 0 10px 0 rgba($gray-dark-color, 0.3);
    }
  }

  &__inner {
    @include container();

    min-height: 60px;
    //width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;

    @include media-breakpoint-up(md) {
      min-height: 70px;
    }
  }

  &__mobile {
    position: fixed;
    z-index: 100;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    padding-top: 40px;
    display: none;
    background: $white-color;

    ::ng-deep .menu--opened & {
      display: block;
    }

    @include media-breakpoint-up(md) {
      padding: 0;
      display: block;
      position: static;
      background: none;
    }
  }

  &__list {
    margin: 0;
    margin-top: 20px;
    padding: 0;
    display: flex;
    flex-direction: column;
    //justify-content: center;
    list-style-type: none;

    @include media-breakpoint-up(md) {
      margin-top: 0;
      flex-direction: row;
      justify-content: center;
    }

  }

  &__item {
    border-top: 1px dashed $gray-color;

    @include media-breakpoint-up(md) {
      padding: 25px 10px;
      border: none;
    }

    &:last-child {
      border-bottom: 1px dashed $gray-color;

      @include media-breakpoint-up(md) {
        border: none;
      }
    }
  }

  &__link {
    padding: 12px 20px;
    display: block;
    font-family: var(--font-title);
    font-size: 14px;
    color: rgba($white-color, 0.7);
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 0.5px;

    @include media-breakpoint-up(md) {
      padding: 0;
      font-size: 16px;
    }

    &:hover {
      color: $white-color;
    }

    .nav__item--active & {
      color: $white-color;
    }

    .nav__item--active &:hover {
      cursor: default;
    }

    .nav--inverse &:hover {
      color: $yellow-color;
    }

    .nav--inverse .nav__item--active & {
      color: $yellow-color;
    }

    .nav--inverse & {
      color: $gray-dark-color;
    }

    ::ng-deep .menu--opened &:hover {
      color: $yellow-color;
    }

    ::ng-deep .menu--opened .nav__item--active & {
      color: $yellow-color;
    }
  }

  &__open {
    padding: 0;
    width: 30px;
    height: 30px;
    background: none;
    border: none;
    cursor: pointer;

    &:focus {
      outline: none;
    }

    span {
      position: relative;
      display: block;
      width: 100%;
      height: 5px;
      background: $white-color;

      .nav--sticky & {
        background: $yellow-color;
      }

      &::before,
      &::after {
        content: '';
        position: absolute;
        left: 0;
        height: 5px;
        width: 100%;
        background: $white-color;

        .nav--sticky & {
          background: $yellow-color;
        }
      }

      &::before {
        top: -10px;
      }

      &:after {
        top: 10px;
      }
    }

    @include media-breakpoint-up(md) {
      display: none;
    }
  }

  &__close {
    position: absolute;
    z-index: 101;
    top: 0;
    right: 15px;
    margin: 0;
    padding: 0;
    font-size: 50px;
    color: $yellow-color;
    border: none;
    background: none;
    cursor: pointer;

    &:focus {
      outline: none;
    }

    @include media-breakpoint-up(md) {
      display: none;
    }
  }
}
